Bug 132190 - usb mass storage errors when connecting ipod
usb mass storage errors when connecting ipod
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Depends On:
  Show dependency treegraph
Reported: 2004-09-09 15:04 EDT by jeroen
Modified: 2007-11-30 17:10 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-10-17 01:40:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
dmesg output (12.47 KB, text/plain)
2004-09-09 15:05 EDT, jeroen
no flags Details
workaround iPod capacity off-by-one (1.01 KB, patch)
2004-10-29 17:46 EDT, Avi Kivity
no flags Details | Diff

  None (edit)
Description jeroen 2004-09-09 15:04:50 EDT
When i connect my iPod using USB to my powerbook, i am expecting it to
properly recognize it and assign a device to it (like /dev/sda1 for
example). This works properly using Firewire and kernel, but
not so with kernel 2.6.8-1.541 on ppc. Hal depends on the kernel
assigning a /dev/whatever device to it so it can mount it/display the
volumes in Nautilus/gnome-vfs.

I've attached the dmesg output when i connect the iPod over USB2.
Comment 1 jeroen 2004-09-09 15:05:33 EDT
Created attachment 103647 [details]
dmesg output
Comment 2 jeroen 2004-09-09 15:25:13 EDT
Scratch the part about it supposedly working on It gives the
same IO errors on When i connect the iPod over Firewire it
works properly though (icon appears in Nautilus and i can mount it via
Comment 3 Jeff Pearson 2004-09-09 23:43:11 EDT
I'm having the same problem -- on FC 2, similar dmesg output.  Using
Centrino laptop (Gateway 450rog) and 4th generation 20 gig ipod.  The
USB connection does work in Knoppix 3.6, I can mount /dev/sda2 and see
the files on the ipod.
Comment 4 Jeff Pearson 2004-10-01 18:00:58 EDT
Solution (or work-around) is here:

Comment 5 Pete Zaitcev 2004-10-04 23:06:55 EDT
If pans out, it's not a good news. There's no way to disable
partitioning selectively except by rebuilding the kernel.
Which is a relatively straightforward operation of "rpm -i k.rpm",
changing source config, spec release, and "rpmbuild -ba k.spec",
but nonetheless...
Comment 6 Avi Kivity 2004-10-29 17:46:46 EDT
Created attachment 105966 [details]
workaround iPod capacity off-by-one

attached patch makes Linux and my iPod love each other.
Comment 7 Colin Charles 2004-11-27 13:04:08 EST
still around with current FC3 kernel? Seems to work for me on both powerpc and
x86, and I do have a HFS+ iPod
Comment 8 Avi Kivity 2004-11-29 05:04:53 EST
kernel-smp-2.6.9-1.650_devel works.
Comment 9 Tobias Schlüter 2005-01-06 14:52:27 EST
I'm seeing this with a 4GB ipod mini on kernel-2.6.9-1.681_FC3

Why is CONFIG_EFI_PARTITIONS active on i686 anyway? According to the
kernel's doc it should only make sense on ia64.
Comment 10 Mark McLoughlin 2005-01-12 04:40:10 EST
Try kernel-2.6.9-1.724_FC3

There's two different iPod product IDs that need the unusual_devs.h
workaround. The -ac patch has had 0x1203 for a while now and
-1.724.FC3 added a patch for 0x1202 (bug #142779).

Open new bugs if you find other iPods with the same problem (look in
/proc/bus/usb/devices for the product ID - the vendor ID is 0x5ac)

Pete: this bug can be closed, I think

Comment 11 Pete Zaitcev 2005-06-28 13:19:08 EDT
Requestor has to close. I've got 3rd Gen iPod, it seems to work fine.
Comment 12 Dave Jones 2006-10-16 17:31:15 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 13 Avi Kivity 2006-10-17 01:27:36 EDT
This has been fixed upstream for a long time and can be closed.

Note You need to log in before you can comment on or make changes to this bug.